void setSide()
{
	paramVal[0] = &side[settings.pitchTofIsRight];
	if (settings.pitchTofIsRight)
	{
		pitchTofMM = &smoothTofMM[1];
		volTofMM = &smoothTofMM[0];
	}
	else
	{
		pitchTofMM = &smoothTofMM[0];
		volTofMM = &smoothTofMM[1];
	}
	showAlert(*paramVal[0], 400, 0, 0, 1);
}

void setPitchMaxMM()
{
	tempVal[1] = (String)settings.pitchMaxMM;
	tempVal[1] += "mm";
	paramVal[1] = &tempVal[1];
	showAlert(*paramVal[1], 400, 0, 0, 1);
}

void setVolMaxMM()
{
	tempVal[2] = (String)settings.volMaxMM;
	tempVal[2] += "mm";
	paramVal[2] = &tempVal[2];
	showAlert(*paramVal[2], 400, 0, 0, 1);
}

void setPitchNumSteps()
{
	tempVal[0] = (String)(settings.pitchNumSteps + 1);
	paramVal[0] = &tempVal[0];
	showAlert(*paramVal[0], 400, 0, 0, 2);
}

void setPitchChn()
{
	tempVal[1] = (String)settings.pitchMidiChan;
	paramVal[1] = &tempVal[1];
	showAlert(*paramVal[1], 400, 0, 0, 2);
}

void setPitchCC()
{
	tempVal[2] = (String)settings.pitchMidiCC;
	paramVal[2] = &tempVal[2];
	showAlert(*paramVal[2], 400, 0, 0, 2);
}

void setVolChn()
{
	tempVal[0] = (String)settings.volMidiChan;
	paramVal[0] = &tempVal[0];
	showAlert(*paramVal[0], 400, 0, 0, 2);
}

void setVolCC()
{
	tempVal[1] = (String)settings.volMidiCC;
	paramVal[1] = &tempVal[1];
	showAlert(*paramVal[1], 400, 0, 0, 2);
}

void setMuted()
{
	tempVal[1] = (settings.isMuted == 0) ? "No" : "Yes";
	paramVal[1] = &tempVal[1];
	showAlert(*paramVal[1], 400, 0, 0, 2);
}

void setLedMode()
{
	tempVal[2] = ledModes[settings.ledMode];
	paramVal[2] = &tempVal[2];
	showAlert(*paramVal[2], 400, 0, 0, 1);
}

void setPitchBendRange()
{
	tempVal[0] = (String)settings.bendRange;
	paramVal[0] = &tempVal[0];
	showAlert(*paramVal[0], 400, 0, 0, 2);
}

void saveSettings()
{
	EEPROM.put(2000, settings);
	EEPROM.write(2047, savedCheckVal);
	settingsAreSaved = true;
	showAlert("SAVED!", 400, 0, 0, 1);
}

void loadSettings()
{
	EEPROM.get(2000, settings);
}